Multiples
Private v1ApiPrivateV1Companies

List / search companies (offset-paginated)

POST
/api/private/v1/companies

Ad-hoc search, batch-by-IDs (filters.id), name lookup (filters.name), or mirror sync (filters.updated_at).

Authorization

bearerAuth
AuthorizationBearer <token>

Send your API key as a bearer token in the Authorization header: Authorization: Bearer mpl_live_.... A single key grants access to all endpoints in this API. Contact your account manager to obtain or rotate a key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/private/v1/companies" \  -H "Content-Type: application/json" \  -d '{    "filters": {      "themes": [        "FinTech"      ],      "region": [        "Western Europe",        "Northern Europe"      ],      "founded_min": 2005,      "active": true    },    "sort": "founded:desc",    "limit": 3  }'
{  "data": [    {      "id": "aaeb7348-5d44-4c29-9910-1c30c66efb77",      "name": "XBP Europe",      "short_name": "XBP Europe",      "description": "XBP Global Holdings Inc is a multinational technology and services company that drives intelligent workflows for organizations. Through its proprietary platforms, agentic AI-driven automation, and domain expertise across industries and the public and private sectors, the firm enables its clients to entrust their digital transformations and workflows. By combining innovation with execution excellence, XBP Global helps businesses reimagine business process automation and enable digital transformation.",      "website": "https://www.xbpglobal.com",      "linkedin": "https://www.linkedin.com/company/xbp-europe",      "country": "USA",      "region": "Western Europe",      "city": "Staines-upon-Thames",      "area": null,      "founded": 2022,      "verticals": [        "Financial Services Software",        "Public Sector & Non-Profit Software",        "IT Consulting"      ],      "themes": [        "FinTech",        "B2B SaaS",        "Vertical SaaS",        "GovTech"      ],      "client_focus": [        "B2B"      ],      "revenue_model": [        "Services"      ],      "company_type": [        "Public company"      ],      "ownership": "Publicly listed",      "active": true,      "ipoed": "2023-11-30",      "ceo": "Mr. Andrej Jonovic",      "created_at": "2026-01-11T11:06:02.563888+00:00",      "updated_at": "2026-06-12T23:32:35.105276+00:00",      "deleted": false,      "is_public": true    },    {      "id": "0206f1e2-369b-44ec-8ca1-a05058b6cb1b",      "name": "Payoneer",      "short_name": "Payoneer",      "description": "Payoneer Global Inc is a financial technology company purpose-built to enable the world’s small and medium-sized businesses (SMB(s)) to grow and operate their businesses around the world by reliably and securely connecting them to the digital economy. The company started to empower commerce by connecting businesses, professionals, countries, and currencies with its diversified cross-border payments platform.",      "website": "https://www.payoneer.com",      "linkedin": "https://www.linkedin.com/company/optile",      "country": "USA",      "region": "Western Europe",      "city": "Munich",      "area": "New York",      "founded": 2021,      "verticals": [        "Payment Service Providers",        "Money Transfer"      ],      "themes": [        "FinTech"      ],      "client_focus": [        "B2B"      ],      "revenue_model": [        "Commission",        "Subscription"      ],      "company_type": [        "Public company"      ],      "ownership": "Publicly listed",      "active": true,      "ipoed": "2021-06-28",      "ceo": "Mr. John Caplan",      "created_at": "2026-01-11T11:06:02.563888+00:00",      "updated_at": "2026-06-12T23:32:34.423465+00:00",      "deleted": false,      "is_public": true    },    {      "id": "8ccc5eb9-1879-40f4-b4bf-6e66141f0660",      "name": "Crypto Blockchain Industries",      "short_name": "Crypto Blockchain Industries",      "description": "Crypto Blockchain Industries SA is a company offering a comprehensive investment approach covering the majority aspects of blockchain.",      "website": "https://www.cbicorp.io",      "linkedin": "https://www.linkedin.com/company/cbi-crypto-blockchain-industries/?originalSubdomain=fr",      "country": "FRA",      "region": "Western Europe",      "city": "Paris",      "area": null,      "founded": 2021,      "verticals": [        "Gaming - Console & PC",        "Crypto & Web3 Platforms"      ],      "themes": [        "FinTech"      ],      "client_focus": [        "B2C",        "B2B"      ],      "revenue_model": [        "Product sales"      ],      "company_type": [        "Public company"      ],      "ownership": "Publicly listed",      "active": true,      "ipoed": "2021-10-26",      "ceo": null,      "created_at": "2026-01-11T11:06:02.563888+00:00",      "updated_at": "2026-06-12T23:32:30.567826+00:00",      "deleted": false,      "is_public": true    }  ],  "meta": {    "page": 1,    "limit": 3,    "returned": 3,    "total": 30,    "has_more": true  }}